#root {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

header {
  border-bottom: 1px solid #999;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px 30px;
  max-width: 100vw;

  .logo {
    width: 200px;
  }

  menu {
    display: flex;
    gap: 20px;
    list-style: none;

    li {
      a {
        text-decoration: none;
      }
    }
  }

  .menu-switcher {
    display: none;
  }

  @media (max-width: 572px) {
    menu {
      display: none;
    }

    .menu-switcher {
      display: block;
    }
  }
}

.properties-list {
  width: 1200px;
  margin: 50px auto;

  .property-box {
    display: flex;
    margin-bottom: 40px;
    border: 1px solid #000;

    .property-image {
      flex: 0 0 50%;

      img {
        width: 100%;
      }
    }

    .property-details {
      padding: 20px 30px;

      strong {
        margin-bottom: 10px;
        display: block;
      }

      p {
        margin: 0;
      }

      button {
        padding: 10px 20px;
        border: 0;
        border-radius: 5px;
        margin: 10px 5px;
        font-weight: 700;
        cursor: pointer;

        &.primary {
          background: #ff52ad;
          color: #fff;
        }

        &.secondary {
          background: #0a1044;
          color: #fff;
        }
      }
    }
  }
}

footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 20px;
  border-top: 1px solid #999;
  margin-top: auto;

  svg {
    width: 200px;
  }
}
